## fonts-lohit-beng-bengali 2.91.5

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist  
version:= 2.91.5

test: test-ttf
	@echo "----------Testing actual-output with expected-output----------"
	fontforge -lang=py -script auto_test.py std-test-out.txt Lohit-Bengali.ttf

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Bengali.sfd Lohit-Bengali.fea
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Bengali.ttf Lohit-Bengali.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Bengali.ttf Lohit-Bengali.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-bengali-ttf-$(version)
	cp -p COPYRIGHT OFL.txt test-bengali.txt README  AUTHORS ChangeLog 66-lohit-bengali.conf Lohit-Bengali.ttf io.pagure.lohit.bengali.font.metainfo.xml lohit-bengali-ttf-$(version)
	rm -rf lohit-bengali-ttf-$(version)/.git
	tar -cf lohit-bengali-ttf-$(version).tar lohit-bengali-ttf-$(version)
	gzip lohit-bengali-ttf-$(version).tar
	rm -rf lohit-bengali-ttf-$(version)

sfd-dist: dist
	mkdir lohit-bengali-$(version)
	cp -p COPYRIGHT OFL.txt test-bengali.txt README  AUTHORS generate*.pe apply_featurefile.py auto_test.py *.fea Makefile ChangeLog 66-lohit-bengali.conf Lohit-Bengali.sfd std-test-out.txt io.pagure.lohit.bengali.font.metainfo.xml lohit-bengali-$(version)
	rm -rf lohit-bengali-$(version)/.git
	rm -rf lohit-bengali-$(version)/*.ttf
	tar -cf lohit-bengali-$(version).tar lohit-bengali-$(version)
	gzip lohit-bengali-$(version).tar
	rm -rf lohit-bengali-$(version)

web-dist: webdist
	mkdir lohit-bengali-web-$(version)
	cp -p COPYRIGHT OFL.txt test-bengali.txt README  AUTHORS ChangeLog Lohit-Bengali.woff  Lohit-Bengali.eot lohit-bengali-web-$(version)
	rm -rf lohit-bengali-web-$(version)/.git
	tar -cf lohit-bengali-web-$(version).tar lohit-bengali-web-$(version)
	gzip lohit-bengali-web-$(version).tar
	rm -rf lohit-bengali-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-bengali*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version test-ttf

## fonts-lohit-beng-bengali 2.5.1

=== debian/changelog ===
fonts-lohit-beng-bengali (2.5.1-1) unstable; urgency=low

  * Split from ttf-bengali-fonts package

 -- AbdulKarim Memon <abdulkarimmemon@gmail.com>  Sun, 04 Mar 2012 16:15:05 +0530

=== debian/control ===
Source: fonts-lohit-beng-bengali
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: AbdulKarim Memon <abdulkarimmemon@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/lohit/
Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-beng-bengali.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-beng-bengali.git;a=summary

Package: fonts-lohit-beng-bengali
Architecture: all
Depends: ${misc:Depends}
Recommends: fonts-lohit-beng-assamese
Replaces: ttf-bengali-fonts (<= 1:0.5.12)
Breaks: ttf-bengali-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Bengali Language
 This package provides Lohit TrueType font for Bengali language which is
 primarily used in Indian state of Bengal.

## fonts-lohit-beng-bengali 2.5.3

=== debian/changelog ===
fonts-lohit-beng-bengali (2.5.3-1) unstable; urgency=low

  * Use canonical url for Vcs-Git.
  * Imported Upstream version 2.5.3
  * Mark package as multi-arch foreign
  * Upload to unstable.
  * Add links file to install symbolic link of 66-lohit-bengali.conf to
    /etc/fonts/conf.d folder.
  * Added myself as uploader.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 01 Jun 2013 12:41:43 +0530

fonts-lohit-beng-bengali (2.5.2-1) experimental; urgency=low

  [Kartik Mistry]
  * Team Upload.
  * wrap-and-sort debian/* files.
  * debian/rules:
    + Removed boiler plate comments.
  * debian/docs:
    + Added AUTHORS file.

  [Vasudev Kamath]
  * Imported Upstream version 2.5.2
  * debian/control:
    + Bumped Standards-Version to 3.9.4, this did not require any changes
      to the package source
    + Updated Vcs-Browse to point to anonscm.d.o instead of git.d.o
  * debian/copyright:
    + Added Upstream-Contact field

 -- Kartik Mistry <kartik@debian.org>  Tue, 04 Dec 2012 18:07:42 +0530

=== debian/control ===
Source: fonts-lohit-beng-bengali
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: AbdulKarim Memon <abdulkarimmemon@gmail.com>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
 fontforge
Standards-Version: 3.9.4
Homepage: https://fedorahosted.org/lohit/
Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-beng-bengali.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-beng-bengali.git;a=summary

Package: fonts-lohit-beng-bengali
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fonts-lohit-beng-assamese
Replaces: ttf-bengali-fonts (<= 1:0.5.12)
Breaks: ttf-bengali-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Bengali Language
 This package provides Lohit TrueType font for Bengali language which is
 primarily used in Indian state of Bengal.

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/o/lohit/lohit-bengali-(\d\.\d\.\d\.*\d{0,1})\.tar\.gz

## fonts-lohit-beng-bengali 2.91.5

=== debian/changelog ===
fonts-lohit-beng-bengali (2.91.5-4) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Fix Fails to build source after successful build (Closes: #1045053)
  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed redundant fields.
  * Update debian/watch to standard 5.
  * Updated debian/upstream/metadata.
  * Updated debian/copyright.
  * Updated patch header.

 -- Kartik Mistry <kartik@debian.org>  Wed, 07 Jan 2026 18:20:38 +0530

fonts-lohit-beng-bengali (2.91.5-3) unstable; urgency=low

  [ Kartik Mistry ]
  * Team upload.
  * Updated debian/watch.
  * Updated debian/copyright.
  * Really disable broken tests.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Kartik Mistry <kartik@debian.org>  Tue, 22 Nov 2022 19:59:17 +0530

fonts-lohit-beng-bengali (2.91.5-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Updated Maintainer to Debian Fonts Task Force.
    + Updated Uploaders.
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Build-Depends to fontforge-nox.
    + Updated Vcs-* URLs.
    + Added 'Rules-Requires-Root' field.
  * Added debian/gitlab-ci.yml.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Mon, 20 Apr 2020 17:43:38 +0530

fonts-lohit-beng-bengali (2.91.5-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Team upload.
  * Imported Upstream version 2.91.5.
  * Update Vcs-* fields.
  * Don't try to build WOFF or EOF fonts since they require sfntly
    which isn't in Debian yet.
  * Don't fail the build for failing tests yet.
  * Don't try to install nonexistent docs.
  * Install appstream metadata.
  * Add fix-appstream-metadata.patch.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Homepage.
    + Updated Standards-Version to 4.0.0.
    + Update debhelper dependency >= 10 for debian/compat 10.

 -- Kartik Mistry <kartik@debian.org>  Sun, 25 Jun 2017 08:59:04 +0530

=== debian/control ===
Source: fonts-lohit-beng-bengali
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox
Standards-Version: 4.7.3
Homepage: https://pagure.io/lohit
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lohit-beng-bengali.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lohit-beng-bengali

Package: fonts-lohit-beng-bengali
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fonts-lohit-beng-assamese
Replaces: ttf-bengali-fonts (<= 1:0.5.12)
Breaks: ttf-bengali-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Bengali Language
 This package provides Lohit TrueType font for Bengali language which is
 primarily used in Indian state of Bengal.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	mkdir -p build
	cp Lohit-Bengali.sfd build/
	fontforge -lang=py -script apply_featurefile.py \
			build/Lohit-Bengali.sfd Lohit-Bengali.fea Lohit-Bengali.sfd
	(cd build && fontforge -script ../generate.pe Lohit-Bengali.sfd)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
	# Skip tests since they aren't working yet
	# https://github.com/pravins/lohit/issues/83

=== debian/watch ===
Version: 5

Source: https://releases.pagure.org/lohit/
Matching-Pattern: lohit-bengali-@ANY_VERSION@@ARCHIVE_EXT@
